
<!-- README.md is generated from README.Rmd. Please edit that file -->

# measr <img src="man/figures/logo.png" align = "right" width="120"/>

<!-- badges: start -->

[![Project Status: WIP – Initial development is in progress, but there
has not yet been a stable, usable release suitable for the
public.](https://www.repostatus.org/badges/latest/wip.svg)](https://www.repostatus.org/#wip)
![License](https://img.shields.io/badge/License-GPL_v3-blue.svg)

[![R-CMD-check](https://github.com/wjakethompson/measr/actions/workflows/R-CMD-check.yaml/badge.svg)](https://github.com/wjakethompson/measr/actions/workflows/R-CMD-check.yaml)
[![codecov](https://codecov.io/gh/wjakethompson/measr/branch/main/graph/badge.svg?token=JtF3xtGt6g)](https://app.codecov.io/gh/wjakethompson/measr)
[![Netlify
Status](https://api.netlify.com/api/v1/badges/b82caf01-0611-4f8b-bbca-5b89b5a80791/deploy-status)](https://app.netlify.com/sites/measr/deploys)

[![Signed
by](https://img.shields.io/badge/Keybase-Verified-brightgreen.svg)](https://keybase.io/wjakethompson)
<!-- badges: end -->

The goal of measr is to provide a user-friendly interface for estimating
and evaluating educational measurement, or psychometric, models with
[R](https://www.r-project.org/) and [Stan](https://mc-stan.org/).
Initial development work is focused on diagnostic classification models
(DCMs; also known as cognitive diagnosis models \[CDMs\]). This project
is still in development and should not be considered stable. The API is
likely to change as development progresses until the package is
officially released to [CRAN](https://cran.r-project.org/).

## Installation

You can install the released version of {measr} from
[CRAN](https://cran.r-project.org/) with:

``` r
install.packages("measr")
```

To install the development version of {measr} from
[GitHub](https://github.com/wjakethompson/measr) use:

``` r
# install.packages("remotes")
remotes::install_github("wjakethompson/measr")
```

## Code of Conduct

Please note that the measr project is released with a [Contributor Code
of Conduct](https://measr.info/CODE_OF_CONDUCT.html). By contributing to
this project, you agree to abide by its terms.

------------------------------------------------------------------------

The research reported here was supported by the Institute of Education
Science, U.S. Department of Education, through Grant
[R305D210045](https://ies.ed.gov/funding/grantsearch/details.asp?ID=4546)
to the University of Kansas. The opinions expressed are those of the
authors and do not represent the views of the the Institute or the U.S.
Department of Education.
